grk::WaveletFwdImpl Class Reference

`#include <WaveletFwd.h>`

## Public Member Functions

virtual | ~WaveletFwdImpl ()=default
bool | compress (TileComponent *tile_comp, uint8_t qmfbid)

## Private Member Functions

template<typename T , typename DWT >
bool | encode_procedure (TileComponent *tilec)

## Constructor & Destructor Documentation

## ~WaveletFwdImpl()

virtual grk::WaveletFwdImpl::~WaveletFwdImpl | ( |  | ) |

virtual default

## Member Function Documentation

## compress()

bool grk::WaveletFwdImpl::compress | ( | TileComponent * | tile_comp,
|  | uint8_t | qmfbid
| ) |  |

References grk::grk_read().

Referenced by grk::TileProcessor::dwt_encode().

## encode_procedure()

template<typename T , typename DWT >

bool grk::WaveletFwdImpl::encode_procedure | ( | TileComponent * | tilec | ) |

private

References ExecSingleton::get(), grk::TileComponentWindow< T >::getResWindowBufferHighestSimple(), grk::TileComponent::getWindow(), grk::grk_aligned_free(), grk::grk_aligned_malloc(), grk::GRK_ERROR(), grk::grk_read(), GRK_RESTRICT, grk::max_resolution(), grk::NB_ELTS_V8, grk::TileComponent::numresolutions, grk::TileComponent::resolutions_, and SIZE_MAX.

The documentation for this class was generated from the following files:

- WaveletFwd.h
- WaveletFwd.cpp